
#include <driverlib/driverlib.h>
#include <msp.h>
/* Standard Includes */
#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>
#include "mysysclk.h"
#include "mspi.h"
#include "mydelay.h"
#include "ads1292R.h"
#include "ecg_process.h"

 void main(void){

    WDT_A_holdTimer();

    clk_init();
    delay_init(SYSTEM_CLOCK);
    spi_init();

    ADS1292R_Init();
    delay_ms(100);
    ADS1292R_PowerOnInit();
    ADS1292R_Work();
    MAP_Interrupt_enableMaster();

    while(1){
        while(!finish_flag);
        MAP_GPIO_disableInterrupt(ADS1292R_ADC_RDY_PORT, ADS1292R_ADC_RDY_PIN);
        ADS1292R_ReadData();
        data_tran();
        // ECG_IIR_filter();
        finish_flag = 0;
        MAP_GPIO_clearInterruptFlag(ADS1292R_ADC_RDY_PORT, ADS1292R_ADC_RDY_PIN);
        MAP_GPIO_enableInterrupt(ADS1292R_ADC_RDY_PORT, ADS1292R_ADC_RDY_PIN);
   }
}
